Subject: Re: bug#74042: [PATCH] Accept texi2any for version identification

From: Mats Lidell <[email-masked]>
Date: Sun, 27 Oct 2024 22:33:59 +0100

> Eli Zaretskii writes:
> Why would users do that by invoking texi2any directly?

Because texi2any is a tool for generating info files from texi files!?

We started to use it with GNU Hyperbole and got into this subtle issue (and
wasted some hours due to it.)

> FTR, I'm very unhappy about this change.  I don't think we should support
> this.  It is not future-proof.

Well to take a step back. Is not the root problem here that the version number
of a tool is used for checking whether certain feature is supported in the
info file? If the check would be more direct then the tool would not matter as
long as the info file is correct!?

The suggested patch is just a simple and pragmatic way to cause less surprises
when a user or developer starts to use texi2any instead of makeinfo.

Yours
-- 
%% Mats